Subject: bug#33791: 26.1; Eshell on Windows connecting to GNU/Linux machine using TRAMP and plink: env: ‘c:/home/jordan/test.sh’: No such file or directory

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Dec 2018 11:48:23 +0200

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 29 Dec 2018 09:38:55 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I've tried to debug it, but no chance to do it on Windows.
> >> Debugging C sources is a no-go for me there.
> >
> > Can you tell why?  I do that all the time, so maybe I could help.
> 
> When I can find a WIndows machine, I can install Emacs and debug Lisp
> sources. Installing a C compiler, building Emacs from sources, and
> debugging C sources under Windows is out of my scope, on a borrowed or
> stolen machine I have under my control for a short time.

Ah, okay.  Did you try to make an installation with a debugger and a
compiler on a portable device, like DoK?

> >> > +   (or
> >> > +    ;; locate-file doesn't support remote file names, so detect them
> >> > +    ;; and support them here by hand.
> >> > +    (and (file-remote-p (expand-file-name dir))
> >> ...
> >
> > You mean, testing file-remote-p _in_addition_ to the tests I proposed?
> 
> No, instead of file-name-absolute-p.

Fixed, thanks.